> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udgridlayout.md).

# New-UDGridLayout

New-UDGridLayout erstellt in PowerShell Universal ein ziehbares, größenveränderbares Rasterlayout zum Anordnen von Komponenten per Drag and Drop.

### Übersicht

Erstellt ein neues Rasterlayout. Das Rasterlayout ermöglicht es Ihnen, Komponenten per Drag and Drop in ein Raster zu ziehen.

### Syntax

```powershell
New-UDGridLayout [[-Id] <String>] [[-RowHeight] <Int32>] [-Content] <ScriptBlock> [[-Layout] <String>] [[-LargeColumns] <Int32>] [[-MediumColumns] <Int32>] [[-SmallColumns] <Int32>] [[-ExtraSmallColumns] <Int32>] [[-ExtraExtraSmallColumns] <Int32>] [[-LargeBreakpoint] <Int32>] [[-MediumBreakpoint] <Int32>] [[-SmallBreakpoint] <Int32>] [[-ExtraSmallBreakpoint] <Int32>] [[-ExtraExtraSmallBreakpoint] <Int32>] [-Draggable] [-Resizable] [-Persist] [-Design] [<CommonParameters>]
```

### Beschreibung

Erstellt ein neues Rasterlayout. Das Rasterlayout ermöglicht es Ihnen, Komponenten per Drag and Drop in ein Raster zu ziehen.

### Parameter

#### -Id

Die ID dieser Komponente. Der Standardwert ist eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -RowHeight

Die Höhe jeder Zeile in Pixeln. Der Standardwert ist 30.

```
Required?                    false
Position?                    2
Default value                30
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Der Inhalt des Rasterlayouts. Dies ist ein Skriptblock, der eine Liste von Komponenten zurückgibt. Komponenten müssen statische IDs haben.

```
Required?                    true
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Layout

Das Layout des Rasters. Dies sollte eine JSON-Zeichenfolge sein.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeColumns

Die Anzahl der Spalten im großen Breakpoint. Der Standardwert ist 12.

```
Required?                    false
Position?                    5
Default value                12
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumColumns

Die Anzahl der Spalten im mittleren Breakpoint. Der Standardwert ist 10.

```
Required?                    false
Position?                    6
Default value                10
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallColumns

Die Anzahl der Spalten im kleinen Breakpoint. Der Standardwert ist 6.

```
Required?                    false
Position?                    7
Default value                6
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallColumns

Die Anzahl der Spalten im extra kleinen Breakpoint. Der Standardwert ist 4.

```
Required?                    false
Position?                    8
Default value                4
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallColumns

Die Anzahl der Spalten im extra extra kleinen Breakpoint. Der Standardwert ist 2.

```
Required?                    false
Position?                    9
Default value                2
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LargeBreakpoint

Die Breite des großen Breakpoints in Pixeln. Der Standardwert ist 1200.

```
Required?                    false
Position?                    10
Default value                1200
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -MediumBreakpoint

Die Breite des mittleren Breakpoints in Pixeln. Der Standardwert ist 996.

```
Required?                    false
Position?                    11
Default value                996
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -SmallBreakpoint

Die Breite des kleinen Breakpoints in Pixeln. Der Standardwert ist 768.

```
Required?                    false
Position?                    12
Default value                768
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraSmallBreakpoint

Die Breite des extra kleinen Breakpoints in Pixeln. Der Standardwert ist 480.

```
Required?                    false
Position?                    13
Default value                480
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ExtraExtraSmallBreakpoint

Die Breite des extra extra kleinen Breakpoints in Pixeln. Der Standardwert ist 0.

```
Required?                    false
Position?                    14
Default value                0
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Draggable

Ob die Komponenten gezogen werden können oder nicht.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Resizable

Ob die Größe der Komponenten geändert werden kann oder nicht.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Persist

Ob das Layout in der aktuellen Browsersitzung beibehalten werden soll oder nicht.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Design

Ob sich das Rasterlayout im Entwurfsmodus befindet oder nicht. Der Entwurfsmodus ermöglicht das Kopieren des aktuellen JSON-Layouts.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Einfaches Rasterlayout

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 1" -Id "card1"
    New-UDCard -Text "Card 2" -Id "card2"
} -Id 'gridLayout1' -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card1","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card2","moved":false,"static":false}]}'
```

Erstellen Sie ein einfaches Rasterlayout mit zwei Karten.

#### Beispiel 2: Ziehbar und größenveränderbar

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 3" -Id "card3"
    New-UDCard -Text "Card 4" -Id "card4"
} -Id 'gridLayout2' -Design -Draggable -Resizable -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card3","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card4","moved":false,"static":false}]}'
```

Erstellen Sie ein Rasterlayout mit zwei Karten, die gezogen und in der Größe verändert werden können. Dieses Layout befindet sich zudem im Entwurfsmodus, der es Ihnen ermöglicht, das aktuelle Layout als JSON zu kopieren.

#### Beispiel 3: Beibehaltenes Layout

```powershell
New-UDGridLayout -Content {
    New-UDCard -Text "Card 5" -Id "card5"
    New-UDCard -Text "Card 6" -Id "card6"
} -Id 'gridLayout3' -Design -Draggable -Resizable -Persist -Layout '{"lg":[{"w":2,"h":3,"x":0,"y":0,"i":"grid-element-card5","moved":false,"static":false},{"w":2,"h":3,"x":2,"y":0,"i":"grid-element-card6","moved":false,"static":false}]}'
```

Dieses Layout wird zudem in der aktuellen Browsersitzung beibehalten. Aktualisieren Sie die Seite, um das beibehaltene Layout zu sehen.

\[Component("Grid Layout", "TableLayout", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udgridlayout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
